aboutsummaryrefslogtreecommitdiffstats
path: root/debian/bitlbee-common.postrm
diff options
context:
space:
mode:
authordequis <dx@dxzone.com.ar>2017-01-02 12:30:25 -0300
committerdequis <dx@dxzone.com.ar>2017-01-02 12:30:25 -0300
commitfc6457ee5b1c28ca37f26a6906e506b9ac74c7f1 (patch)
tree94d5f3b1ceebff8a3a1967f90d91ff62c63e635c /debian/bitlbee-common.postrm
parent73e2b690e1e98a6390e04ad2026f89944ee3c521 (diff)
debian: ignore the stdout of deluser, fixes postrm error exit code
Turns out the stuff added by debhelper below enables debconf, which somehow reads the stuff written to stdout before, and chokes on it. The error output that is being ignored is something along the lines of "the user doesn't exist".
Diffstat (limited to 'debian/bitlbee-common.postrm')
-rw-r--r--debian/bitlbee-common.postrm2
1 files changed, 1 insertions, 1 deletions
diff --git a/debian/bitlbee-common.postrm b/debian/bitlbee-common.postrm
index 79e621a1..1001f792 100644
--- a/debian/bitlbee-common.postrm
+++ b/debian/bitlbee-common.postrm
@@ -4,7 +4,7 @@ set -e
if [ "$1" = "purge" ]; then
rm -f /etc/default/bitlbee
- deluser --system bitlbee || true
+ deluser --system bitlbee > /dev/null || true
rm -rf /var/lib/bitlbee ## deluser doesn't seem to do this for homedirs in /var
fi